package jc.test.io.jarimageloader;

import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.IOException;

import javax.swing.JFrame;

import jc.test.io.jarimageloader.resources.MyResources;

public class ImageLoader extends JFrame {
	private static final long serialVersionUID = 5208504973257853349L;



	public static void main(final String... args) throws IOException {
		new ImageLoader().setVisible(true);
	}



	private final BufferedImage mImage;



	public ImageLoader() throws IOException {
		mImage = MyResources.loadImage("anleitung.jpg");
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		setBounds(100, 100, 400, 300);
	}



	@Override public void paint(final Graphics pG) {
		super.paint(pG);
		if (mImage == null) {
			pG.drawString("Fehler: Kein Bild geladen!", 50, 50);
		} else {
			pG.drawImage(mImage, 0, 0, null);
		}
	}



}
