package jc.test.io.jarimageloader.resources;

import java.awt.image.BufferedImage;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;

import javax.imageio.ImageIO;

public class MyResources {


	// test
	static public BufferedImage loadImage() {
		try (InputStream is = MyResources.class.getResourceAsStream("anleitung.jpg")) {
			final BufferedImage image = ImageIO.read(is);
			System.out.println("Laden Versuch #1 erfolgreich.");
			return image;
		} catch (final Exception e) {
			System.out.println("Fehler bei Versuch #1");
			e.printStackTrace();
		}

		final URL url = MyResources.class.getResource("anleitung.jpg");
		try (InputStream is = url.openStream()) {
			final BufferedImage image = ImageIO.read(is);
			System.out.println("Laden Versuch #2 erfolgreich.");
			return image;
		} catch (final Exception e) {
			System.out.println("Fehler bei Versuch #2");
			e.printStackTrace();
		}

		return null;
	}



	// gute Lösung
	static public InputStream getStream(final String pName) throws IOException {
		final InputStream is = MyResources.class.getResourceAsStream(pName);
		if (is != null) return is;

		final URL url = MyResources.class.getResource(pName);
		final InputStream is2 = url.openStream();
		if (is2 != null) return is2;

		throw new IllegalStateException("Canno load resource [" + pName + "]! Looking: [" + url + "]");
	}
	static public BufferedImage loadImage(final String pName) throws IOException {
		final BufferedImage image = ImageIO.read(getStream(pName));
		System.out.println("Laden Versuch #1 erfolgreich.");
		return image;
	}

}
